Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.interpol
Class ExprLookup.Variables

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<ExprLookup.Variable>
                  org.apache.commons.configuration.interpol.ExprLookup.Variables

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<ExprLookup.Variable>, Collection<ExprLookup.Variable>, List<ExprLookup.Variable>, RandomAccess

Enclosing class:
  ExprLookup

    public static class ExprLookup.Variables

extends ArrayList<ExprLookup.Variable>

List wrapper used to allow the Variables list to be created as beans in DefaultConfigurationBuilder.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ExprLookup.Variables()` Creates a new empty instance of `Variables`.
`ExprLookup.Variables(ExprLookup.Variables vars)` Creates a new instance of `Variables` and copies the content of the given object.

Method Summary
`ExprLookup.Variable` | `getVariable()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ExprLookup.Variables

    public ExprLookup.Variables()

  Creates a new empty instance of `Variables`.

### ExprLookup.Variables

    public ExprLookup.Variables(ExprLookup.Variables vars)

  Creates a new instance of `Variables` and copies the content of the given object.

  Parameters:
    `vars` - the `Variables` object to be copied

Method Detail

### getVariable

    public ExprLookup.Variable getVariable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.